package de.dhbw.contactdb;


/**
 * Person
 *
 * @author florian kaiser
 * @version 1.0
 * @since 21.06.2021
 */
public class Person {
    /**
     * ID of person
     */
    private int id;


    /**
     * Name of person
     */
    private String name;


    /**
     * Constructor
     *
     * @param id   ID of person
     * @param name Name of person
     */
    public Person(int id, String name) {
        this.id = id;
        this.name = name;
    }


    /**
     * @return {@link #id}
     */
    public int getId() {
        return id;
    }


    /**
     * @param id {@link #id}
     */
    public void setId(int id) {
        this.id = id;
    }


    /**
     * @return {@link #name}
     */
    public String getName() {
        return name;
    }


    /**
     * @param name {@link #name}
     */
    public void setName(String name) {
        this.name = name;
    }


    @Override
    public String toString() {
        return "Person{" +
                "id=" + id +
                ", name='" + name + '\'' +
                '}';
    }
}
